### Method

# Ide SourceView scroll_mark_onscreen

#### Declaration

    void
    ide_source_view_scroll_mark_onscreen (
      IdeSourceView* self,
      GtkTextMark* mark,
      IdeSourceScrollAlign use_align,
      gdouble alignx,
      gdouble aligny
    )

#### Description

No description available.

#### Parameters

`mark` | `GtkTextMark`
| No description available.
| The data is owned by the caller of the function.
`use_align` | `IdeSourceScrollAlign`
| No description available.
`alignx` | `gdouble`
| No description available.
`aligny` | `gdouble`
| No description available.